Package org.jboss.logmanager

# Class DefaultConfigurationLocator

java.lang.Object
org.jboss.logmanager.DefaultConfigurationLocator

All Implemented Interfaces:
  `ConfigurationLocator`

public final class DefaultConfigurationLocator extends Object implements ConfigurationLocator
A configuration locator which looks for a `logging.properties` file in the class path, allowing the location to be overridden via a URL specified in the `logging.configuration` system property.

## Constructor Summary

Constructors
Constructor
Description
`DefaultConfigurationLocator()`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`findConfiguration()`
Find the configuration file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultConfigurationLocator

public DefaultConfigurationLocator()

## Method Details

### findConfiguration

public InputStream findConfiguration() throws IOException
Find the configuration file.

Specified by:
  `findConfiguration` in interface `ConfigurationLocator`
Returns:
  the configuration file input stream
Throws:
  `IOException`